# react-uikit-cli

> CLI for create uikit in react project suport with storybook

## Table of Contents
- [Getting Started](#getting-started)
- [Features](#features)
- [UIkit List Available](https://rismanss.github.io/react-uikit-cli/)
	- [Button](https://rismanss.github.io/react-uikit-cli/?path=/docs/button--example)
	- [Input](https://rismanss.github.io/react-uikit-cli/?path=/docs/input--example)
	- [Switch](https://rismanss.github.io/react-uikit-cli/?path=/docs/switch--example)
  - [Spinner](https://rismanss.github.io/react-uikit-cli/?path=/docs/spinner--example)

## Getting started
### Install globally
```
npm install -g react-uikit-cli
```
### Usage with npx
Initialized project :
```
npx react-uikit-cli init
```
### create new uikit
example :
```
react-uikit-cli --create button
```
### run watch storybook
```
react-uikit-cli start:sb
```
### options & command
```
react-uikit-cli --help
```
```
Usage: uikit-cli [options]

Options:
  -V, --version          output the version number        
  -a, --all              create all uikit (default: false)
  -c, --create <create>  create uikit
  -h, --help             display help for command

Commands:
  init                   Initializes project
  start:sb               run watch storybook
```

## Features
- [x] Easy-to-use CLI
- [x] free modify uikit
- [x] support with storybook
- [ ] support with unit test
